<?php
// 修改文章 的时候，删除的文件并没有删除。这个功能需要加上。
// 删除文件暂时只针对第一次上传的文件，并且没有对文章进行保存的前提下。

require_once '_admin_setting.php';

$json = trim($_GET['json']);
if (get_magic_quotes_gpc()) {
    $json = stripslashes($json);
}
$json = json_decode($json);

if (! $json) {
    echo json_encode(array('success' => false));
    exit();
}

if ($json->id == 0) {
    // 删除新上传但立即需要删除的文件（可能误传）
    $filePath = str_replace('_thumb', '_source', $json->path);
    deleteUploadFile($filePath, $json->type);
} else {
    // TODO
}
echo json_encode(array('success' => true));